<?php
function woo_gm_gift_cat_save()
{
  $whichCat = array(
                   'giftCatName' => 'disable'
  );
  if (get_option('_woo_gift_cat_name' ) === false ) 
  {
    add_option('_woo_gift_cat_name', $whichCat );
  }
}
function woo_gm_gift_id_save()
{
  $whichId = array(
                   'giftID' => ''
  );
  if (get_option('_woo_gift_id' ) === false ) 
  {
    add_option('_woo_gift_id', $whichId);
  }
}

function woo_gm_gift_message_save()
{
  $megs = array(
                   'message' => __('Gift Offer Going On!!', 'wgmp')
  );
  if (get_option('_woo_gift_message' ) === false ) 
  {
    add_option('_woo_gift_message', $megs );
  }
}

function woo_gm_gift_multiple_subtotal()
{
  $subtotal = array(
                              'subtotal_range' => ''
  );
  if (get_option('_woo_gift_subtotal_range' ) === false ) 
  {
    add_option('_woo_gift_subtotal_range', $subtotal);
  }
}

function woo_gm_popupTitle_save()
{
  $saveTitle = array(
             'title_text'               =>    __('Gift Offer 2014', 'wgmp'),
             'title_text_font_size'     =>    15,
             'title_text_font_color'    =>    "FF0000",
             'added_options'            =>    'from_slider'
  );
  if (get_option('_woo_gift_popupTitle' ) === false ) 
  {
    add_option('_woo_gift_popupTitle', $saveTitle );
  }
}

function woo_gm_condition_value_save()
{
  $conditionvalue = array(
                         'subtotal_amount' => '',
                         'subtotal_amount_range_from' => '', 
                         'subtotal_amount_range_to' => '',
                         'subtotal_amount_range_multiple' => '',
                         'cat_products_ids' => '',
                         'numberOfCatProducts' => '',
                         'total_cat_products' => '',
                         'total_items' => ''
  );
  if (get_option('_woo_gift_condition_value' ) === false ) 
  {
    add_option('_woo_gift_condition_value', $conditionvalue);
  }
}

function woo_gm_gift_type_save()
{
  $gift_type = array(
                         'existing_products' => '',
                         'new_products' => '',
                         'gift_type_name' => ''
  );
  if (get_option('_woo_gift_type_save' ) === false ) 
  {
    add_option('_woo_gift_type_save', $gift_type);
  }
}
function create_gift_system_table()
{
  global $wpdb;
  $table_gift_products = $wpdb->prefix ."gift_products";
  $sql_gift_products = "CREATE TABLE IF NOT EXISTS $table_gift_products(
                                                                        id int(11) NOT NULL auto_increment,
                                                                        gift_products VARCHAR(260),
                                                                        rand_ids VARCHAR(100),
                                                                        PRIMARY KEY  (id)
  );";
  $wpdb->query($sql_gift_products);
  
  $table_gift_ids = $wpdb->prefix ."gift_by_order";
  $sql_order_gift_ids = "CREATE TABLE IF NOT EXISTS $table_gift_ids(
                                                                    id int(11) NOT NULL auto_increment,
                                                                    order_id int(200),
                                                                    gift_id int(200),
                                                                    PRIMARY KEY  (id)
  );";
  $wpdb->query($sql_order_gift_ids);
}

function woo_gm_upload_directory()
{
	$upload_dir = wp_upload_dir();
	return $upload_dir['basedir'].'/gift_products';
}

function woo_gm_dir_create()
{
	if (!file_exists(woo_gm_upload_directory())) 
  {
    mkdir(woo_gm_upload_directory(), 0777, true);
	}
}

function woocommerce_gift_manager_install()
{
  woo_gm_dir_create();
  create_gift_system_table();
  woo_gm_gift_cat_save();
  woo_gm_condition_value_save();
  woo_gm_gift_type_save();
  woo_gm_gift_message_save();
  woo_gm_popupTitle_save();
  woo_gm_gift_id_save();
  woo_gm_gift_multiple_subtotal();
}
function woocommerce_gift_manager_uninstall()
{
  delete_option('_woo_gift_cat_name');
  delete_option('_woo_gift_condition_value');
  delete_option('_woo_gift_type_save');
  delete_option('_woo_gift_message');
  delete_option('_woo_gift_popupTitle');
  delete_option('_woo_gift_id');
  delete_option('_woo_gift_subtotal_range');
}				

function woo_gm_admin_page()
{
  add_menu_page(__('Gift Manager Settings', 'wgmp'), __('Gift Manager', 'wgmp'), 'read','woo_gift_manager_settings_slug', 'woo_gift_manager_settings_main','');
  add_submenu_page('woo_gift_manager_settings_slug', __('Add Multiple Subtotal Range', 'wgmp'), __('Add Subtotal', 'wgmp'), 'read','multiple_subtotal_slug','multiple_subtotal_main');
}
  add_action('admin_menu', 'woo_gm_admin_page'); 
?>