<?php
function multiple_subtotal_main()
{
  if (class_exists('Woocommerce')) 
  {
    if(isset($_GET['post']) && $_GET['post']=='save_subtotal') 
    {
        $subtotal_Range='';
        $subtotal_from_array=$_POST['multiple_subtotal_amount_from'];
        $subtotal_to_array=$_POST['multiple_subtotal_amount_to'];

        foreach ($subtotal_from_array as $key => $value){
            if(!empty($value)){
                $from_value=$value;
            }
            else{
                $from_value=''; 
            }
            if(!empty($subtotal_to_array[$key])){
                $to_value=$subtotal_to_array[$key];
            }
            else{
                $to_value=''; 
            }
            if(!empty($from_value) || !empty($to_value)){
                $subtotal_Range .=$from_value.','.$to_value.'#';
            }
        }

        
        $subtotal = array(
                         'subtotal_range' => trim($subtotal_Range,'#')
        );
        
        update_option('_woo_gift_subtotal_range', $subtotal);
        
        if(!$subtotal['subtotal_range'])
        {
          $get_val = woo_gift_manager_get_condition_option();

          $get_val['subtotal_amount_range_multiple'] = '';
          update_option('_woo_gift_condition_value', $get_val);
        }
    
        multiple_subtotal_html();
    }
    else
    {
      multiple_subtotal_html();
    }
  }
  else
  {
    echo '<div class="not_active_plugin">'. __('WP WooCommerce is required to install this plugin.', 'wgmp'). '</div>';
  }
}

function multiple_subtotal_html()
{
    global $title;
    $get_subtotal=get_option('_woo_gift_subtotal_range');
?>
<script type="text/javascript">
    function remove_another_subtotal_range(obj)
    {
        jQuery(obj).parents('tr').remove();
    }
    
    function add_another_subtotal_range()
    {
        jQuery('#multiple_subtotal_range').find('table tr:last').after('<tr><td>Subtotal Amount Range:&nbsp;&nbsp;&nbsp;&nbsp</td><td>From &nbsp;&nbsp; '+ jQuery('#currency_symbol').val() +'<input type="number" id="multiple_subtotal_amount_from" style="width:50px;" name="multiple_subtotal_amount_from[]" onkeypress="return isNumberKey(event);" value="" /></td><td>&nbsp;&nbsp;&nbsp;&nbsp To &nbsp;&nbsp; '+ jQuery('#currency_symbol').val() +'<input type="number" id="multiple_subtotal_amount_to" style="width:50px;" name="multiple_subtotal_amount_to[]" onkeypress="return isNumberKey(event);" value="" /></td><td><img style="cursor:pointer;" src="<?php echo WOO_GIFT_MANAGER_URL;?>/images/close-button.png" onclick="remove_another_subtotal_range(this);"/></td></tr>');
    }
    function isNumberKey(evt){
      var charCode = (evt.which) ? evt.which : event.keyCode
      if (charCode > 31 && (charCode < 48 || charCode > 57))
        return false;
      return true;
    }
</script>

<form name="input" action="admin.php?page=multiple_subtotal_slug&post=save_subtotal" method="post">
    <h2 style="color:#21759a"><?php echo $title;?></h2>
    <div id="multiple_subtotal_range" style="border: 1px solid #21759A;border-radius: 10px;min-height: 80px;width: 65%;margin-top:30px;">
        <table style="margin:25px;">
            <?php if(empty($get_subtotal['subtotal_range'])){?>
            <tr>
                <td><?php _e('Subtotal Amount Range', 'wgmp');?>:&nbsp;&nbsp;&nbsp;&nbsp</td>
                <td><?php _e('From', 'wgmp');?> &nbsp;&nbsp; <?php echo get_woocommerce_currency_symbol();?><input type="number" id="multiple_subtotal_amount_from" style="width:50px;" name="multiple_subtotal_amount_from[]" onkeypress="return isNumberKey(event);" value="" /></td>
                <td>&nbsp;&nbsp;&nbsp;&nbsp <?php _e('To', 'wgmp');?> &nbsp;&nbsp; <?php echo get_woocommerce_currency_symbol();?><input type="number" id="multiple_subtotal_amount_to" style="width:50px;" name="multiple_subtotal_amount_to[]" onkeypress="return isNumberKey(event);" value="" /></td>
            </tr>
            <?php }else{
                $i=1;
                $check=  strpos($get_subtotal['subtotal_range'], '#');
                if(!empty($check)){
                    $parseSubtotal=  explode('#', $get_subtotal['subtotal_range']);
                    foreach ($parseSubtotal as $amount){
                        $parseAmount=  explode(',', $amount);
            ?>
            <tr>
                <td><?php _e('Subtotal Amount Range', 'wgmp');?>:&nbsp;&nbsp;&nbsp;&nbsp</td>
                <td><?php _e('From', 'wgmp');?> &nbsp;&nbsp; &#163;<input type="number" id="multiple_subtotal_amount_from" style="width:50px;" name="multiple_subtotal_amount_from[]" onkeypress="return isNumberKey(event);"  value="<?php echo $parseAmount[0];?>" /></td>
                <td>&nbsp;&nbsp;&nbsp;&nbsp <?php _e('To', 'wgmp');?> &nbsp;&nbsp; &#163;<input type="number" id="multiple_subtotal_amount_to" style="width:50px;" name="multiple_subtotal_amount_to[]" onkeypress="return isNumberKey(event);" value="<?php echo $parseAmount[1];?>" /></td>
                <?php if($i>1){?>
                <td><img style="cursor:pointer;" src="<?php echo WOO_GIFT_MANAGER_URL;?>/images/close-button.png" onclick="remove_another_subtotal_range(this);"/></td>
                <?php }?>
            </tr>
                <?php $i++;}} else{ 
                    $parseAmount=  explode(',', $get_subtotal['subtotal_range']);
                ?>
            <tr>
                <td><?php _e('Subtotal Amount Range', 'wgmp');?>:&nbsp;&nbsp;&nbsp;&nbsp</td>
                <td><?php _e('From', 'wgmp');?> &nbsp;&nbsp; &#163;<input type="number" id="multiple_subtotal_amount_from" style="width:50px;" name="multiple_subtotal_amount_from[]" onkeypress="return isNumberKey(event);"  value="<?php echo $parseAmount[0];?>" /></td>
                <td>&nbsp;&nbsp;&nbsp;&nbsp <?php _e('To', 'wgmp');?> &nbsp;&nbsp; &#163;<input type="number" id="multiple_subtotal_amount_to" style="width:50px;" name="multiple_subtotal_amount_to[]" onkeypress="return isNumberKey(event);" value="<?php echo $parseAmount[1];?>" /></td>
            </tr>
                <?php }}?>
        </table>
      <div style="margin:25px;"><input type="button" class="button-primary" name="add_another_range" id="add_another_range" value="<?php _e('Add Another Subtotal Range', 'wgmp');?>" onclick="add_another_subtotal_range();"/></div>
        <div align="right" style="margin:10px;"><input type="submit" class="gift_system_btn_style" name="subtotal_range_save" id="subtotal_range_save" style="cursor: pointer;" value="<?php _e('Save', 'wgmp');?>"/></div>
    </div>
    <input type="hidden" name="currency_symbol" id="currency_symbol" value="<?php echo get_woocommerce_currency_symbol();?>"/>
</form>
<?php
}
?>